Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead

# Class BulkheadSynchConfigTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.BulkheadSynchConfigTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class BulkheadSynchConfigTest extends org.jboss.arquillian.testng.Arquillian

Author:
  Gordon Hutchison, Andrew Rouse

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`BulkheadSynchConfigTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
This is the Arquillian deploy method that controls the contents of the war that contains all the tests.
`void`
`testBulkheadClassSemaphore3()`
Tests taking Bulkhead3 waiting for 3 and no more workers and change its configuration by propoerty to switch to 5 workers.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadSynchConfigTest

public BulkheadSynchConfigTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()
This is the Arquillian deploy method that controls the contents of the war that contains all the tests.

Returns:
  the test war "ftBulkheadSynchTest.war"

### testBulkheadClassSemaphore3

public void testBulkheadClassSemaphore3()
Tests taking Bulkhead3 waiting for 3 and no more workers and change its configuration by propoerty to switch to 5 workers. Test wouldn't pass without property config working